Bug 845816 - Lyrics extension doesn't work
Lyrics extension doesn't work
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: banshee-community-extensions (Show other bugs)
19
x86_64 Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Christian Krause
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-05 06:36 EDT by Artyom Kunyov
Modified: 2015-02-17 09:23 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 09:23:11 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Artyom Kunyov 2012-08-05 06:36:49 EDT
Description of problem:

Lyrics extension for Banshee doesn't work. It always shows "Could not load type 'System.Func`2' from assembly 'mscorlib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089'.".

Reproducible on two machines with F17.

Here is what is shown in terminal:

artkun@ArtKun-Desktop:~$ banshee
[Info  16:35:27.909] Running Banshee 2.4.1: [Fedora17-2.4.1-1.fc17 (linux-gnu, x86_64) @ 2012-06-03 13:29:34 UTC]
[Info  16:35:29.647] Updating web proxy from GConf
[Info  16:35:29.703] All services are started 1.48865
[Info  16:35:31.135] nereid Client Started
[Info  16:35:31.363] GStreamer version 0.10.36.0, gapless: True, replaygain: False
Missing method .ctor in assembly /usr/lib64/banshee/Extensions/Banshee.Lyrics.dll, type Typespec 0x1b000002
Missing method .ctor in assembly /usr/lib64/banshee/Extensions/Banshee.Lyrics.dll, type Typespec 0x1b000002
Comment 1 Pacho Ramos 2012-09-30 05:55:43 EDT
Same problem for me in Gentoo, I have reported it to upstream:
https://bugzilla.gnome.org/show_bug.cgi?id=685132
Comment 2 Artyom Kunyov 2012-09-30 06:37:18 EDT
I don't think it's an upstream bug since I never experienced it in Debian Wheezy or openSUSE 12.2.
Comment 3 Cristian Onciu 2012-11-26 04:50:56 EST
I have the same problem on openSuse 12.2 x64:

Could not load type 'System.Func`2' from assembly 'mscorlib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089'.
Comment 4 Yajo 2012-12-16 03:34:00 EST
Same problem here, on Fedora 17 with:

$ rpm -q banshee banshee-community-extensions banshee-musicbrainz 
banshee-2.4.1-1.fc17.x86_64
banshee-community-extensions-2.4.0-1.fc17.x86_64
banshee-musicbrainz-2.4.1-1.fc17.x86_64
Comment 5 Yajo 2012-12-16 03:36:29 EST
BTW, if you don't disable the Lyrics plugin and reboot Banshee, the album artwork doesn't display.
Comment 6 Stephen Hatfield 2013-02-12 08:32:32 EST
Still seeing this bug in Fedora 18

exec -a banshee mono  /usr/lib64/banshee/Banshee.exe    --redirect-log --play-enqueued

[Info  07:51:42.065] Running Banshee 2.6.0: [Fedora18-2.6.0-1.fc18 (linux-gnu, x86_64) @ 2012-10-11 14:00:36 UTC]
[Info  07:51:45.587] Updating web proxy from GConf
[Info  07:51:45.885] All services are started 2.624119
[Info  07:51:48.714] nereid Client Started
[Info  07:51:49.021] GStreamer version 0.10.36.0, gapless: False, replaygain: True
[Info  07:51:49.176] AppleDeviceSource is ignoring unmounted volume Windows System
[Info  07:51:49.217] AppleDeviceSource is ignoring unmounted volume LINUX
[Info  07:52:02.851] Uncached artwork size 295 requested

. . .

Missing method .ctor in assembly /usr/lib64/banshee/Extensions/Banshee.Lyrics.dll, type Typespec 0x1b000002
Missing method .ctor in assembly /usr/lib64/banshee/Extensions/Banshee.Lyrics.dll, type Typespec 0x1b000002
[Warn  08:23:17.134] Caught an exception - System.TypeLoadException: Could not load type 'System.Func`2' from assembly 'mscorlib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089'. (in `Banshee.Lyrics')
  at Banshee.Lyrics.LyricsDownloadJob.DownloadLyrics (Banshee.Collection.Database.DatabaseTrackInfo track) [0x00000] in <filename unknown>:0 
Missing method .ctor in assembly /usr/lib64/banshee/Extensions/Banshee.Lyrics.dll, type Typespec 0x1b000002
Missing method .ctor in assembly /usr/lib64/banshee/Extensions/Banshee.Lyrics.dll, type Typespec 0x1b000002
[Warn  08:23:17.173] Caught an exception - System.TypeLoadException: Could not load type 'System.Func`2' from assembly 'mscorlib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089'. (in `Banshee.Lyrics')
  at Banshee.Lyrics.LyricsDownloadJob.DownloadLyrics (Banshee.Collection.Database.DatabaseTrackInfo track) [0x00000] in <filename unknown>:0 
Stacktrace:


Native stacktrace:

	banshee() [0x496b29]
	banshee() [0x4e7b8f]
	banshee() [0x41dda7]
	/usr/lib64/libpthread.so.0(+0xf000) [0x7fa420ed5000]
	/usr/lib64/libpthread.so.0(pthread_kill+0) [0x7fa420ed2630]
	banshee() [0x5c6f9e]
	banshee() [0x5c702b]
	banshee() [0x5ca337]
	banshee() [0x5ca9c7]
	banshee() [0x5caea6]
	banshee() [0x5caf2e]
	banshee(mono_domain_finalize+0x94) [0x54e5b4]
	banshee() [0x4175e0]
	banshee(mono_main+0xd29) [0x471d49]
	/usr/lib64/libc.so.6(__libc_start_main+0xf5) [0x7fa420919a05]
	banshee() [0x417159]

Debug info from gdb:

Mono support loaded.
Mono support loaded.
[New LWP 16611]
[New LWP 16441]
[New LWP 16439]
[New LWP 16438]
[New LWP 16437]
[New LWP 16407]
[New LWP 16405]
[New LWP 16404]
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/usr/lib64/libthread_db.so.1".
0x00007fa420ed412d in read () from /usr/lib64/libpthread.so.0
  Id   Target Id         Frame 
  9    Thread 0x7fa41a507700 (LWP 16404) "mono" 0x00007fa420ed15e5 in pthread_cond_wait@@GLIBC_2.3.2 () from /usr/lib64/libpthread.so.0
  8    Thread 0x7fa41983b700 (LWP 16405) "mono" 0x00007fa420ed36a0 in sem_wait () from /usr/lib64/libpthread.so.0
  7    Thread 0x7fa406195700 (LWP 16407) "gdbus" 0x00007fa4209e198d in poll () from /usr/lib64/libc.so.6
  6    Thread 0x7fa3e97f9700 (LWP 16437) "banshee" 0x00007fa420ed15e5 in pthread_cond_wait@@GLIBC_2.3.2 () from /usr/lib64/libpthread.so.0
  5    Thread 0x7fa3ea7fb700 (LWP 16438) "banshee" 0x00007fa420ed15e5 in pthread_cond_wait@@GLIBC_2.3.2 () from /usr/lib64/libpthread.so.0
  4    Thread 0x7fa3e9ffa700 (LWP 16439) "dconf worker" 0x00007fa4209e198d in poll () from /usr/lib64/libc.so.6
  3    Thread 0x7fa3c177e700 (LWP 16441) "banshee" 0x00007fa420ed1952 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /usr/lib64/libpthread.so.0
  2    Thread 0x7fa3e8ff8700 (LWP 16611) "pool" 0x00007fa420ed1952 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /usr/lib64/libpthread.so.0
* 1    Thread 0x7fa421a09780 (LWP 16402) "banshee" 0x00007fa420ed412d in read () from /usr/lib64/libpthread.so.0

I wasn't sure about how to add it to Fedora 18, so if one of you more experience guys could help out; I'd appreciate it!  Thanks for all you guys (and gals) do!
Comment 7 Fedora End Of Life 2013-07-03 17:14:40 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 8 Artyom Kunyov 2013-07-05 14:22:42 EDT
Still reproducible in F19.
Comment 9 Fedora End Of Life 2015-01-09 12:17:51 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 10 Fedora End Of Life 2015-02-17 09:23:11 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.